import { Injectable } from "@nestjs/common";
import type { SimVoiceOptions, Prisma } from "@prisma/client";
import { BaseRepository } from "../base.repository.js";
import { PrismaService } from "../prisma.service.js";

@Injectable()
export class SimVoiceOptionsRepository extends BaseRepository<
  SimVoiceOptions,
  Prisma.SimVoiceOptionsCreateInput,
  Prisma.SimVoiceOptionsUpdateInput,
  Prisma.SimVoiceOptionsWhereUniqueInput,
  Prisma.SimVoiceOptionsWhereInput
> {
  constructor(prisma: PrismaService) {
    super(prisma);
  }

  protected get delegate() {
    return this.prisma.simVoiceOptions;
  }

  async upsert(args: Prisma.SimVoiceOptionsUpsertArgs): Promise<SimVoiceOptions> {
    return this.delegate.upsert(args);
  }
}
